searchData={"content_type":"text/markdown","items":[{"doc":"To add as a dependency in your `mix.exs`:\n```elixir\ndef deps do\n  [\n    {:fontawesome_icons, \"~> 0.0.6\"}\n  ]\nend\n```\n\nExample usage:\n```\n \n\n \n\n \n\n \n```\n\nHas a single configuration option allowing you to register the free version only is used. When set this will (try to) override all non-free styling to be free only.\n```elixir\nconfig :fontawesome,\n  free_only: true\n```\n\nAdditionally contains lists of icon names with `Fontawesome.regular_icons/0` and `Fontawesome.brand_icons/0`","ref":"Fontawesome.html","title":"Fontawesome","type":"module"},{"doc":"Returns a list of all the brand icons","ref":"Fontawesome.html#brand_icons/0","title":"Fontawesome.brand_icons/0","type":"function"},{"doc":"Returns a fontawesome icon as a Phoenix.LiveView.Rendered object.\n\nRequires:\n  `icon`: The fontawesome icon you wish to display, you do not need to prefix it with \"fa-\"\n\nOptional arguments:\n  `style`: regular, solid, light, thin, duotone or brand\n  `weight`: classic or sharp\n  `size`: the fx weight class, you do not need to prefix it with \"fa-\"\n  `class`: css classes placed into the \"class\" attribute after the above classes\n  `css`: css placed into the \"style\" attribute","ref":"Fontawesome.html#icon/1","title":"Fontawesome.icon/1","type":"function"},{"doc":"* `icon` (`:string`) (required)\n* `style` (`:string`) - Defaults to `\"regular\"`.\n* `weight` (`:string`) - Defaults to `nil`.\n* `size` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* `css` (`:string`) - Defaults to `nil`.","ref":"Fontawesome.html#icon/1-attributes","title":"Attributes - Fontawesome.icon/1","type":"function"},{"doc":"Returns a list of all non-brand icons","ref":"Fontawesome.html#regular_icons/0","title":"Fontawesome.regular_icons/0","type":"function"},{"doc":"The version of FontAwesome this was built against (for the icon lists)","ref":"Fontawesome.html#version/0","title":"Fontawesome.version/0","type":"function"},{"doc":"# v0.0.6\n- Further docs improvements\n- Updated FA icon list to 6.6.0\n- Marked `Fontawesome.standard_icons` as deprecated in favour of `Fontawesome.regular_icons`\n\n# v0.0.5\n- Improved the docs\n\n# v0.0.4\n- Moved to 0.0.4 because I made a mistake pushing 0.0.3\n\n# v0.0.3\n- Updated the liveview dependency\n- Fixed a test\n\n# v0.0.2\n- Bugfix where the defaults would result in an icon not being rendered\n- Bugfix regarding the free setting being regular not solid\n\n# v0.0.1\n- Created basic library","ref":"changelog.html","title":"Changelog","type":"extras"}]}